Barth
Netterfield

    netterfield@astro.utoronto.ca

# Användning av kommandorad och exempel

En typisk användning av Kst är från kommandoraden för att skapa X-Y diagram eller Z-bilder av datafiler. Kst kan läsa ASCII-data, eller binärfiler som fungerar med readdata/dirfile, och valfritt (med externa bibliotek) FITS-bilder, PIOLib-filer, netCDF-filer och HEALPix FITS-filer.

Kommandoradsväljare i &kst;

## kst

Ett program för diagramritning och datavisning

Väljarna är:

    kst Qt-väljare KDE-väljare väljare fil

### Väljare

`[fil...]`

  En .kst-fil, eller en eller flera datafiler. Format som stöds är ASCII-kolumner, BOOMERANG postfiler, BLAST dirfile-filer, och andra typer med valfritt stöd. En .kst-fil lagrar alla alternativ som kan anges med andra väljare. Följande väljare kan användas för att överskrida alternativen i .kst-filen: `-F datafile`, `-n NS`, `-s NS`, `-f F0`, `-a`. Övriga kan inte överskridas. Om en överskridande väljare anges, gäller den alla vektorer i diagrammet.

  ASCII-data från standardinmatningen kan ritas upp genom att ta med "stdin" i listan `[fil...]`.

`-y Y`

  Källan för Y-axelns data. För ASCII-filer är det kolumnen. För binärfiler är det fältnamnet. För att rita upp flera kurvor, kan detta anges flera gånger. Samma källfil, samplingsintervall och X-axeldata antas.

`--ye ekvation`

  Värden för Y-axelns data beräknas från angiven ekvation. Flera ekvationer är tillåtna.

`--xe X`

  Använd ekvationen `x0:x1:n` för att ange X-vektorn (INDEX). x0:x1 anger vektorns intervall, och n anger antal värden i X-vektorn.

  t.ex. skapar -10:10:21 följande statiska vektor: X = {-10,-9,-8,...0...8,9,10}

`-E text`

  Skicka argument till en utökning. Formatet för `text` är `utökningsnamn:argumentlista`.

  t.ex. `kst -E js:"loadScript('/home/vyiwen/intplTest.js')"`

`-e E`

  Felstaplar för Y-axelns data. För ASCII-filer ange kolumnen som innehåller data. Använd fältnamnet för binärfiler. Om flera `-y Y` väljare anges, kan detta också användas flera gånger. Individuella Y väljare kopplas ihop i ordning med flera E väljare.

`-x X`

  Källan för X-axelns data. För ASCII-filer är det kolumnen. För readdata-filer är det fältnamnet. Om väljaren inte anges, används radnumret i filen. Väljaren kan bara anges en gång.

`-z Z`

  Källan för Z-matrisdata (som visas som en bild). För ASCII-filer är det kolumnen som innehåller Z-data. För andra valfria format (HEALPix, FITS-bilder, etc.), är det namnet på det önskade matrisfältet, som det visas i matrisdialogrutan. Vissa datakällor som fungerar med matriser tillåter också att ett alias används som är numret på det önskade matrisfältet. För att rita upp flera matriser kan den upprepas många gånger.

`-p P`

  Källan för effektspektrum. För ASCII-filer är det kolumnen. För binärfiler är det fältnamnet. För att rita upp flera effektspektrum för flera kurvor, kan detta anges flera gånger. Samma källfil, samplingsintervall och FFT-längder används för varje effektspektrum som begärs från kommandoraden.

`-l P`

  Längden på den FFT som används i uppskattningar av effektspektrum är 2^P.

`-r f`

  Ange samplingsfrekvens `f` för effektspektrum

`--ru U`

  Ange enhet `U` för effektspektrats samplingsfrekvens

`--yu U`

  Ange enhet `U` för effektspektrats samplingsfrekvens

`-h H`

  Källan för histogram. För ASCII-filer är det kolumnen. För binärfiler är det fältnamnet. Flera histogram kan definieras från kommandoraden.

`-m NC`

  Används när flera kurvor har definierats. Istället för att rita upp alla kurvor i samma diagram, rita upp var och en i ett eget diagram.

`-f F0`

  Första postnumret (för readdata-filer) eller raden (för ASCII-filer) som ska läsas.

`-n`

  Antal poster (för readdata-filer) eller rader (för ASCII-filer) som ska läsas.

`-s NS`

  Antal poster eller rader som ska hoppas över vid varje inläsning. Detta är användbart vid arbete med mycket stora datafiler, för att snabba upp svarstider och spara minne, i fallet då data varierar långsamt.

`-g`

  Tillhandahåll en förklaringsruta

`-w fil`

  Visa dataguiden

`--nq`

  Hoppa över snabbstartsdialogrutan

`-a`

  Används tillsammans med väljaren `-S NS`: Istället för att hoppa över varje NS-post, medelvärdesbilda dem. Det ger en kombination av mycket elementär högpassfiltrering, och minskning av minnesbehovet.

`-F datafil`

  Överskrid filen som data ska läsas från för alla vektorer som anges i .kst-filen. Kan bara användas ihop med en kst-fil.

`--print psfil`

  Istället för att visa diagrammet, exportera bilden till en Postskript-fil och avsluta. Felinformation: Även om inga fönster visas på skärmen, krävs ändå åtkomst till X-servern.

`--png pngfil`

  Istället för att visa diagrammet, exportera bilden till en PNG-fil med storleken 640x480 och avsluta. Felinformation: Även om inga fönster visas på skärmen, krävs ändå åtkomst till X-servern.

### Exempel på kommandorader

Flera exempel på typisk användning följer.

För att rita upp kolumn 1 i filen (tmp.dat) med ASCII-data:

    kst -y 1 tmp.dat

För att rita upp kolumn 2, 3 och 4 mot kolumn 1 från en ASCII-fil i ett diagram:

    kst -x 1 -y 2 -y 3 -y 4 tmp.dat

För att rita upp kolumn 2, 3 och 4 mot kolumn 1 från en ASCII-fil i tre diagram, arrangerade i en kolumn:

    kst -x 1 -y 2 -y 3 -y 4 -m 1 tmp.dat

För att rita upp 500 rader av kolumn 2 från en ASCII-fil, med början på rad 100:

    kst -y 2 -f 100 -n 500 tmp.dat

För att rita upp de första 100 000 raderna av kolumn 2 från en ASCII-fil, med medelvärdesbildning av var 100:e rad:

    kst -y 2 -f 0 -n 100000 -s 100 -a tmp.dat

Använd kommandot för att rita upp ett spektrum från ett datafält i en ASCII-datafil med samplingsfrekvensen = 10 Hz och FFT-längden = 2^14

    kst -p 2 /usr/share/apps/kst/tutorial/gytodata.dat -r 10 -l 14

(Med användning av valfri HEALPix-datakälla) För att rita upp de tre första avbildningarna i en HEALPix FITS-fil med ett 2x2 rutmönster:

    kst -z 1 -z 2 -z 3 -m 2 healpix_exempel_sm.fits

(Med användning av valfri HEALPix-datakälla) För att rita upp en avbildning med ett särskilt fältnamn i en HEALPix FITS-fil:

    kst -z "1 - TEMPERATUR (Kelvin)" healpix_exempel_sm.fits